# -*- coding: utf-8 -*-
#
# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Success page UI."""

from PyQt4 import QtGui

from ubuntu_sso.qt.sso_wizard_page import SSOWizardPage
from ubuntu_sso.qt.ui.success_message_ui import Ui_SuccessPage
from ubuntu_sso.utils.ui import SUCCESS


class SuccessPage(SSOWizardPage):
    """Page used to display success message."""

    ui_class = Ui_SuccessPage

    def _set_translated_strings(self):
        """Set proper strings to widgets."""
        # we may want to customize the image_label in some future
        self.ui.image_label.setPixmap(QtGui.QPixmap())
        message = SUCCESS % {'app_name': self.app_name}
        self.ui.success_message_body.setText(message)

    def _connect_ui(self):
        """Nothing to connect."""
