# -*- coding: utf-8 -*-
#
# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.

"""Tests for the main module."""

from twisted.trial.unittest import TestCase

from ubuntu_sso.qt import main


class BasicTestCase(TestCase):
    """Test case with a helper tracker."""

    def test_main(self):
        """Calling main.main() a UI instance is created."""
        called = []
        self.patch(main, 'UbuntuSSOClientGUI',
                   lambda **kw: called.append(('GUI', kw)))
        self.patch(main.QtGui.QApplication, 'exec_',
                   lambda *a: called.append('main'))

        kwargs = dict(foo='foo', bar='bar', baz='yadda', yadda=0)
        main.main(**kwargs)

        kwargs['close_callback'] = main.QtGui.QApplication.instance().exit
        self.assertEqual(called, [('GUI', kwargs), 'main'])

    test_main.skip = 'Failing with QObject::startTimer: QTimer can only be ' \
                     'used with threads started with QThread'
